Subject: [PATCH] dfa: minor fix for whether dfa is fast or not

From: Norihiro Tanaka <[email-masked]>
Date: Fri, 05 Aug 2016 20:30:49 +0900

dfaoptimize() is not set fast flag even if it is success, but it is wrong.
If success, dfa matcher uses algorithm for single byte, and it is so fast.

I think this bug does not affect for grep, but it will affect with the
patch that I just sent to gawk.